<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Extensions  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a title="Extensions  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html"> Reference</a>
        <img id="carat" src="img/carat.png" />
        Extensions  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Extensions</h1>
            <p>The following extensions are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(cs)NSManagedObject"></a>
                    <a name="//apple_ref/swift/Extension/NSManagedObject" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(cs)NSManagedObject">NSManagedObject</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Extensions/NSManagedObject.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
